Subject: bug#74833: 31.0.50; Copy to OS clipboard doesn't work in macOS Terminal.app with xterm-mouse-mode enabled

From: Ship Mints <[email-masked]>
Date: Mon, 23 Dec 2024 15:44:02 +0100

Away from a computer, but I think this is still the same in 0.82 these days
and I assume you're using modern ssh.

https://serverfault.com/a/819740

-Stephane

On Mon, Dec 23, 2024 at 14:56 Eli Zaretskii <[email-masked]> wrote:

> > From: Ship Mints <[email-masked]>
> > Date: Mon, 23 Dec 2024 14:36:34 +0100
> > Cc: [email-masked], [email-masked], [email-masked],
> >       [email-masked], [email-masked]
> >
> > You should be able to paste using the (annoying, yes) CUA key Shift-Ins
> vs. right mouse button.
>
> Yes, but that works also without xterm-mouse-mode.  My point is that I
> lose the paste by mouse.
>
> > I think the only way to know for sure you're under putty is to change
> your putty configuration to set/send a
> > custom environment variable that you can test. I do not recall one that
> it sets/sends by default beyond TERM
> > which is "xterm" and that's obviously insufficient.
>
> You will have to tell more, as I didn't see anything like that.
>